Get all add requests

View as Markdown
Gets all requests to add workspaces to your team's [Private API Network](https://learning.postman.com/docs/collaborating-in-postman/adding-private-network/).

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Query parameters

sincedatetimeOptional
Return only results created since the given time, in [ISO 8601](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6) format. This value cannot be later than the `until` value. To use `time-numoffset` format, you must use `%2B` URL-encoding for the `+` character.
untildatetimeOptional
Return only results created until this given time, in [ISO 8601](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6) format. This value cannot be earlier than the `since` value. To use `time-numoffset` format, you must use `%2B` URL-encoding for the `+` character.
requestedByintegerOptional
Return a user's requests by their user ID.
typeenumOptional

The workspace value.

Allowed values:
statusenumOptional
Filter by the request status.
Allowed values:
namestringOptional

Return only workspaces whose name includes the given value. Matching is not case-sensitive.

sortenumOptional

Sort the results by the given value. If you use this query parameter, you must also use the direction parameter.

Allowed values:
directionenumOptional

Sort in ascending (asc) or descending (desc) order. Matching is not case-sensitive. If you use this query parameter, you must also use the sort parameter.

Allowed values:
offsetintegerOptionalDefaults to 0

The zero-based offset of the first item to return.

limitintegerOptionalDefaults to 1000

The maximum number of results to return. If the value exceeds the maximum value of 1000, then the system uses the 1000 value.

Response

Successful Response
requestslist of objects
A list of requests to add elements to the Private API Network.
metaobject

The response’s non-standard meta information.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error